Loading...
Searching...
No Matches
starpu_sched_ctx_performance_counters Struct Reference

`#include <starpu_sched_ctx_hypervisor.h>`

## Data Fields

void(* | notify_idle_cycle )(unsigned sched_ctx_id, int worker, double idle_time)
void(* | notify_poped_task )(unsigned sched_ctx_id, int worker)
void(* | notify_pushed_task )(unsigned sched_ctx_id, int worker)
void(* | notify_post_exec_task )(struct starpu_task *task, size_t data_size, uint32_t footprint, int hypervisor_tag, double flops)
void(* | notify_submitted_job )(struct starpu_task *task, uint32_t footprint, size_t data_size)
void(* | notify_empty_ctx )(unsigned sched_ctx_id, struct starpu_task *task)
void(* | notify_delete_context )(unsigned sched_ctx)

## Detailed Description

Performance counters used by the starpu to indicate the hypervisor how the application and the resources are executing.

## Field Documentation

## notify_idle_cycle

void(* starpu_sched_ctx_performance_counters::notify_idle_cycle) (unsigned sched_ctx_id, int worker, double idle_time)

Inform the hypervisor for how long a worker has been idle in the specified context

## notify_poped_task

void(* starpu_sched_ctx_performance_counters::notify_poped_task) (unsigned sched_ctx_id, int worker)

Inform the hypervisor that a task executing a specified number of instructions has been popped from the worker

## notify_pushed_task

void(* starpu_sched_ctx_performance_counters::notify_pushed_task) (unsigned sched_ctx_id, int worker)

Notify the hypervisor that a task has been scheduled on the queue of the worker corresponding to the specified context

## notify_post_exec_task

void(* starpu_sched_ctx_performance_counters::notify_post_exec_task) (struct starpu_task *task, size_t data_size, uint32_t footprint, int hypervisor_tag, double flops)

Notify the hypervisor that a task has just been executed

## notify_submitted_job

void(* starpu_sched_ctx_performance_counters::notify_submitted_job) (struct starpu_task *task, uint32_t footprint, size_t data_size)

Notify the hypervisor that a task has just been submitted

## notify_delete_context

void(* starpu_sched_ctx_performance_counters::notify_delete_context) (unsigned sched_ctx)

Notify the hypervisor that the context was deleted

The documentation for this struct was generated from the following file:

- starpu_sched_ctx_hypervisor.h